<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://richfaces.org/a4j" prefix="a4j"%>
<%@ taglib uri="http://richfaces.org/rich" prefix="rich"%>

<html>
<f:view>
	<head>
	<f:loadBundle basename="message" var="msg" />
	<title></title>

	<script type="text/javascript">
		function showEvent(elementID, value) {
			var oldObject = window.document.getElementById(elementID);
			if(oldObject == null || oldObject.type == "text") return;
			var newObject = window.document.createElement('input');
			if(oldObject.type) newObject.type = "text";
			if(oldObject.size) newObject.size = oldObject.size;
			if(oldObject.value) newObject.value = value;
			if(oldObject.id) newObject.id = oldObject.id;
			oldObject.parentNode.replaceChild(newObject,oldObject);
		}
	</script>
	<link rel="stylesheet"
		href="<%=request.getContextPath()%>/styles/styles.css" type="text/css" />
	</head>
	<body>
	<h:form id="test">

	</h:form>
	<h:form>
	<h:commandButton value="getMPanelID" actionListener="#{modalPanel.checkBinding}">		
		</h:commandButton>
		<h:outputText value="#{modalPanel.bindLabel}" />
	</h:form>
	</body>
</f:view>
</html>

